### Name: PTBi
### Title: functions to add random noise to a vector
### Aliases: PTBi PTBms PTBmsb PTBmsbr PTBn PTBnc PTBns PTBnbr PTBnbrr
###   PTBnsbr PTBnsbrr PTBu PTBuc PTBus PTBubr PTBubrr PTBusbr PTBusbrr
### Keywords: misc optimize distribution

### ** Examples

        x=1:1000
        x.i = PTBi(x)
        x.m = PTBms(x)
        x.u = PTBu(x,size=.01)
        x.us = PTBus(x,size=.01)
        x.uc = PTBuc(x,size=.01)

        sum(x-x.i)              # should be 0, identity transform
        sum(which(x!=x.i))      # also 0

        sum(x-x.m)              # should be quite small, very close to 0
        length(which(x!=x.m))   # should be near 1000

        sum(x-x.u)              # should be small
        length(which(x!=x.m))   # should be near 1000

        sum(x-x.us)             # should be small
        length(which(x!=x.m))   # should be near 1000

        sum(x-x.uc)             # should be near 0
        length(which(x!=x.m))   # should be near 1000
        



